buildr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From dona...@apache.org
Subject svn commit: r1420914 - in /buildr/trunk: CHANGELOG bin/buildr buildr.gemspec
Date Wed, 12 Dec 2012 18:53:38 GMT
Author: donaldp
Date: Wed Dec 12 18:53:36 2012
New Revision: 1420914

URL: http://svn.apache.org/viewvc?rev=1420914&view=rev
Log:
Require 'bundler/setup' as part of buildr startup to ensure that buildr always runs with up
to date dependencies if a Gemfile is present.

Modified:
    buildr/trunk/CHANGELOG
    buildr/trunk/bin/buildr
    buildr/trunk/buildr.gemspec

Modified: buildr/trunk/CHANGELOG
URL: http://svn.apache.org/viewvc/buildr/trunk/CHANGELOG?rev=1420914&r1=1420913&r2=1420914&view=diff
==============================================================================
--- buildr/trunk/CHANGELOG (original)
+++ buildr/trunk/CHANGELOG Wed Dec 12 18:53:36 2012
@@ -1,4 +1,7 @@
 1.4.10 (Pending)
+* Change: Require 'bundler/setup' as part of buildr startup to ensure that
+          buildr always runs with up to date dependencies if a Gemfile is
+          present.
 * Added:  Add FrameworkDetectionExcludesConfiguration facet to Idea project
           file creation by default.
 * Fixed:  In the IntelliJ extension, defer the materialization of the

Modified: buildr/trunk/bin/buildr
URL: http://svn.apache.org/viewvc/buildr/trunk/bin/buildr?rev=1420914&r1=1420913&r2=1420914&view=diff
==============================================================================
--- buildr/trunk/bin/buildr (original)
+++ buildr/trunk/bin/buildr Wed Dec 12 18:53:36 2012
@@ -15,5 +15,6 @@
 # the License.
 
 require 'rubygems'
+require 'bundler/setup'
 require 'buildr'
 Buildr.application.run

Modified: buildr/trunk/buildr.gemspec
URL: http://svn.apache.org/viewvc/buildr/trunk/buildr.gemspec?rev=1420914&r1=1420913&r2=1420914&view=diff
==============================================================================
--- buildr/trunk/buildr.gemspec (original)
+++ buildr/trunk/buildr.gemspec Wed Dec 12 18:53:36 2012
@@ -75,6 +75,7 @@ for those one-off tasks, with a language
   spec.add_dependency 'xml-simple',           '1.1.1'
   spec.add_dependency 'minitar',              '0.5.3'
   spec.add_dependency 'jruby-openssl',        '>= 0.7' if $platform.to_s == 'java'
+  spec.add_dependency 'bundler'
 
   # Unable to get this consistently working under jruby on windows
   unless $platform.to_s == 'java'
@@ -89,7 +90,6 @@ for those one-off tasks, with a language
 
   # NOTE: Must update all-in-one.rake if this is updated
   spec.add_development_dependency 'ffi-ncurses', '0.4.0' if $platform.to_s == 'java'
-  spec.add_development_dependency 'bundler'
   spec.add_development_dependency 'win32console' if $platform.to_s == 'x86-mswin32'
   # Ideally we would depend on psych when the platform has >= 1.9.2 support and jruby
platform version > 1.6.6
   #spec.add_development_dependency 'psych' if RUBY_VERSION >= '1.9.2'



Mime
View raw message